
ChiliProject - Bug # 424: Loading issue context menu causes two identical AJAX requests

Status: Closed Priority: Normal
Author: Gregor Schmidt Category: Issue tracking
Created: 2011-05-23 Assignee: Eric Davis
Updated: 2011-05-27 Due date:
Remote issue URL: http://www.redmine.org/issues/2109
Affected version: 1.3.0
Description: When using the right-click menu on an issue list, two identical AJAX requests are send to the server. This 

seems to be wrong. One request should be sufficient.

The current behavior causes longer load time on the client side and additional load on the server side.

Associated revisions
2011-05-27 02:09 am - Emilio Palma
Fix the issue #424.

History
2011-05-23 03:58 pm - Gregor Schmidt
I have seen this behavior in all versions of ChiliProject, including unstable.

My browser: FF 4 / Mac

2011-05-27 03:18 pm - Eric Davis
- (deleted custom field) set to http://www.redmine.org/issues/2109

- Target version set to 1.4.0

I reported this about 2 years ago to Redmine but it was never confirmed by anyone else. If I recall my fix was exactly the same as ecdpalma sent in 
https://github.com/chiliproject/chiliproject/pull/69

2011-05-27 04:09 pm - Eric Davis
- Assignee set to Eric Davis

- Status changed from Open to Closed

Confirmed fix in Firefox, Chrome, and IE. commit:7796ae8

Thank you Gregor for the bug report and Emilio Carlos da Palma for the fix.
